function [ix, iy] = interp_vertex_points(xnew, ynew)
ix = xnew(1);
iy = ynew(1);
%pts = [xnew, ynew];
%pts = order_xy_pts(pts);
%xnew = pts(:,1); ynew = pts(:,2);

xnew = [xnew; xnew(1)];
ynew = [ynew; ynew(1)];
for i=1:length(xnew)-1
   sp = [xnew(i) ynew(i)];
   fp = [xnew(i+1) ynew(i+1)];
   mp = (sp+fp)/2;
   ix = [ix; mp(1); fp(1)];
   iy = [iy; mp(2); fp(2)];
end
ix(end) = [];
iy(end) = [];
return;
